Name:           jaxb
Version:        2.3.5
Release:        %mkrel 3
Group:          Development/Java
Summary:        JAXB Reference Implementation
# EDL-1.0 license is BSD-3-clause
License:        BSD
URL:            https://github.com/eclipse-ee4j/jaxb-ri
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{version}-RI/%{name}-%{version}.tar.gz

BuildRequires:  git
BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.activation:jakarta.activation)
BuildRequires:  mvn(com.sun.istack:istack-commons-runtime)
BuildRequires:  mvn(com.sun.istack:istack-commons-tools)
BuildRequires:  mvn(com.sun.xml.dtd-parser:dtd-parser)
BuildRequires:  mvn(com.sun.xml.fastinfoset:FastInfoset)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(jakarta.xml.bind:jakarta.xml.bind-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.ant:ant-junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:  mvn(org.jvnet.staxex:stax-ex)
BuildRequires:  mvn(xml-resolver:xml-resolver)
BuildRequires:  mvn(xmlunit:xmlunit)

%description
GlassFish JAXB Reference Implementation.

%package runtime
Summary:        JAXB Runtime
Obsoletes:      jaxb-bom < 2.3.3-3
Obsoletes:      jaxb-bom-ext < 2.3.3-3
Obsoletes:      jaxb-impl < 2.3.3-3

%description runtime
JAXB (JSR 222) Reference Implementation

%package txw2
Summary:        TXW2 Runtime
%description txw2
TXW is a library that allows you to write XML documents.

%package codemodel
Summary:        Codemodel Core
%description codemodel
The core functionality of the CodeModel java source code generation
library.

%package codemodel-annotation-compiler
Summary:        Codemodel Annotation Compiler
%description codemodel-annotation-compiler
The annotation compiler ant task for the CodeModel java source code
generation library.

%package xjc
Summary:        JAXB XJC
%description xjc
JAXB Binding Compiler. Contains source code needed for binding
customization files into java sources. In other words: the tool to
generate java classes for the given xml representation.

%package rngom
Summary:        RELAX NG Object Model/Parser
%description rngom
This package contains RELAX NG Object Model/Parser.

%package txwc2
Summary:        TXW2 Compiler
%description txwc2
JAXB schema generator. The tool to generate XML schema based on java
classes.

%package xsom
Summary:        XML Schema Object Model
%description xsom
XML Schema Object Model (XSOM) is a Java library that allows applications to
easily parse XML Schema documents and inspect information in them. It is
expected to be useful for applications that need to take XML Schema as an
input.

%package relaxng-datatype
Summary:        RelaxNG Datatype
%description relaxng-datatype
RelaxNG Datatype library.

%prep
%autosetup -p1 -n jaxb-ri-%{version}-RI -S git
# Delete precompiled jar and class files
find -type f '(' -iname '*.jar' -o -iname '*.class' ')' -print -delete

cd jaxb-ri
# Remove unnecessary dep on ee4j parent pom (it adds nothing to our downstream builds)
%pom_remove_parent boms/bom external xsom codemodel
# SCM from parent: org.eclipse.ee4j:project:1.0.7
%pom_xpath_inject 'pom:project' \
    '<scm>
      <connection>scm:git:git@github.com:eclipse-ee4j/ee4j.git</connection>
      <developerConnection>scm:git:git@github.com:eclipse-ee4j/ee4j.git</developerConnection>
      <url>https://github.com/eclipse-ee4j/ee4j</url>
    </scm>' external
# Fix dep on xml resolver
%pom_change_dep com.sun.org.apache.xml.internal:resolver xml-resolver:xml-resolver:1.2 xjc jxc
sed -i -e 's/com\.sun\.org\.apache\.xml\.internal\.resolver/org.apache.xml.resolver/' xjc/src/main/java/com/sun/tools/xjc/CatalogUtil.java
# Missing dep in Fedora: org.checkerframework:compiler
%pom_disable_module jxc
# Disable unneeded extra OSGi bundles
%pom_disable_module jxc bundles
%pom_disable_module osgi bundles
%pom_disable_module ri bundles
%pom_disable_module runtime bundles
%pom_disable_module xjc bundles
# Ignore osgi tests
%pom_disable_module tools/osgi_tests
# lack of dependency when building documentation
%pom_disable_module release-documentation docs
# Compatibility
%mvn_alias com.sun.xml.bind.external:relaxng-datatype com.github.relaxng:relaxngDatatype relaxngDatatype:relaxngDatatype
%mvn_alias org.glassfish.jaxb:jaxb-runtime org.glassfish.jaxb:jaxb-core
%mvn_alias org.glassfish.jaxb:jaxb-xjc com.sun.xml.bind:jaxb-xjc
%mvn_alias org.glassfish.jaxb:xsom com.sun.xsom:xsom
# Don't install aggregator and parent poms
%mvn_package :jaxb-bom __noinstall
%mvn_package :jaxb-bom-ext __noinstall
%mvn_package :jaxb-bundles __noinstall
%mvn_package :jaxb-codemodel-parent __noinstall
%mvn_package :jaxb-docs-parent __noinstall
%mvn_package :jaxb-external-parent __noinstall
%mvn_package :jaxb-parent __noinstall
%mvn_package :jaxb-runtime-parent __noinstall
%mvn_package :jaxb-samples __noinstall
%mvn_package :jaxb-txw-parent __noinstall
%mvn_package :jaxb-www __noinstall
cd -

%build
cd jaxb-ri
%mvn_build -s -f -j -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8
cd -

%install
cd jaxb-ri
%mvn_install
cd -

%files codemodel -f jaxb-ri/.mfiles-codemodel
%license LICENSE.md NOTICE.md
%files codemodel-annotation-compiler -f jaxb-ri/.mfiles-codemodel-annotation-compiler
%license LICENSE.md NOTICE.md
%files relaxng-datatype -f jaxb-ri/.mfiles-relaxng-datatype
%license LICENSE.md NOTICE.md
%files rngom -f jaxb-ri/.mfiles-rngom
%license LICENSE.md NOTICE.md
%files runtime -f jaxb-ri/.mfiles-jaxb-runtime
%license LICENSE.md NOTICE.md
%files txw2 -f jaxb-ri/.mfiles-txw2
%license LICENSE.md NOTICE.md
%files txwc2 -f jaxb-ri/.mfiles-txwc2
%license LICENSE.md NOTICE.md
%files xjc -f jaxb-ri/.mfiles-jaxb-xjc
%license LICENSE.md NOTICE.md
%files xsom -f jaxb-ri/.mfiles-xsom
%license LICENSE.md NOTICE.md




%changelog
* Fri Mar 31 2023 daviddavid <daviddavid> 2.3.5-3.mga9
+ Revision: 1950972
- obsoletes removed sub-pkgs

* Thu Dec 08 2022 daviddavid <daviddavid> 2.3.5-2.mga9
+ Revision: 1919635
- fix previous commit, should be a noarch package

* Thu Dec 08 2022 neoclust <neoclust> 2.3.5-1.mga9
+ Revision: 1919552
- New version  2.3.5
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 2.3.3-2.mga8
+ Revision: 1621747
- Restore deps on fi and stax-ex for full build mode

* Fri Sep 04 2020 daviddavid <daviddavid> 2.3.3-1.mga8
+ Revision: 1621686
- Fastinfoset and Staxex are optional deps, this should be reflected in the OSGi
- Update to latest upstream release 2.3.3
- Disable javadocs for now, due to https://github.com/fedora-java/xmvn/issues/58
- Upstream moved to eclipse-ee4j and implementation license changed to BSD (EDL)
- Enable tests, don't unnecessarily ship parent poms
- Add obsoletes/provides and compat aliases for old xsom package
- package renamed to jaxb

* Sat Feb 15 2020 umeabot <umeabot> 2.2.11-10.mga8
+ Revision: 1527750
- Mageia 8 Mass Rebuild

* Wed Jul 24 2019 daviddavid <daviddavid> 2.2.11-9.mga8
+ Revision: 1423767
- Make javax.activation an optional dep in OSGi metadata
- Add conditional build for reduced dependency set

* Tue Sep 18 2018 umeabot <umeabot> 2.2.11-8.mga7
+ Revision: 1260998
- Mageia 7 Mass Rebuild

* Mon Jul 04 2016 daviddavid <daviddavid> 2.2.11-7.mga6
+ Revision: 1038679
- add a conflicts to ease upgrade mga5 -> mga6 (thanks to Charles A Edwards)

* Wed Mar 02 2016 neoclust <neoclust> 2.2.11-6.mga6
+ Revision: 982348
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.2.11-5.mga6
+ Revision: 976246
- First rebuild of the java stack
- sync package glassfish-jaxb with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 daviddavid <daviddavid> 2.2.11-1.mga6
+ Revision: 844702
- bump release to 1

* Fri Jun 26 2015 daviddavid <daviddavid> 2.2.11-0.1.mga6
+ Revision: 844700
- sync with fc23 (update to 2.2.11)
  * split into subpackages (Resolves: rhbz#1204187)
- fix Group
- fix owner of maven-poms dir

* Sun Dec 28 2014 daviddavid <daviddavid> 2.2.5-7.mga5
+ Revision: 806819
- Sync with fc21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 2.2.5-4.mga4
+ Revision: 564401
- Adapt to glassfish-fastinfoset new jar filename

* Fri Oct 18 2013 umeabot <umeabot> 2.2.5-3.mga4
+ Revision: 504888
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.5-2.mga3
+ Revision: 351723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.2.5-1.mga3
+ Revision: 291459
- New version

* Tue Nov 08 2011 dmorgan <dmorgan> 2.2.4-2.u1.1.mga2
+ Revision: 165181
- Add java-devel as buildrequires
- Clean spec file
+ gil <gil>
- edit spec file
- edit spec file, see http://www.java.net/node/700048
- edit spec file, see see
- added xjc and schemagen scripts
- imported package glassfish-jaxb

